%define upstream_name    Test-Mojibake
%define upstream_version 0.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Check your source for encoding misbehavior
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More)
BuildRequires: perl(bytes)
BuildRequires: perl(common::sense)
BuildRequires: perl(open)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Many modern text editors automatically save files using UTF-8 codification,
however, the perl manpage interpreter does not expects it _by default_.
Whereas this does not represent a big deal on (most) backend-oriented
programs, Web framework (http://www.catalystframework.org/,
http://mojolicio.us/) based applications will suffer of so-called
http://en.wikipedia.org/wiki/Mojibake (lit. "unintelligible sequence of
characters").

Even worse: if an editor saves BOM (Byte Order Mark, 'U+FEFF' character in
Unicode) at the start of the script with executable bit set (on Unix
systems), it won't execute at all, due to shebang corruption.

Avoiding codification problems is quite simple:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.700.0-2.mga3
+ Revision: 373646
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 02 2012 jquelin <jquelin> 0.700.0-1.mga3
+ Revision: 302124
- update to 0.7

* Wed Jul 04 2012 jquelin <jquelin> 0.400.0-1.mga3
+ Revision: 267510
- update to 0.4
- imported package perl-Test-Mojibake

